# DAGetLocalVector

Gets a Seq PETSc vector that may be used with the DAXXX routines. This vector has spaces for the ghost values.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetLocalVector(DA da,Vec* g)

Not Collective

### Input Parameter

da -the distributed array

### Output Parameter

g -the local vector

### Note

The vector values are NOT initialized and may have garbage in them, so you may need to zero them.

The output parameter, g, is a regular PETSc vector that should be returned with DARestoreLocalVector() DO NOT call VecDestroy() on it.

VecStride*() operations can be useful when using DA with dof > 1

### Keywords

distributed array, create, local, vector

### See Also

DACreateGlobalVector(), VecDuplicate(), VecDuplicateVecs(),
DACreate1d(), DACreate2d(), DACreate3d(), DAGlobalToLocalBegin(), DAGlobalToLocalEnd(), DALocalToGlobal(), DACreateLocalVector(), DARestoreLocalVector(), VecStrideMax(), VecStrideMin(), VecStrideNorm()

Level:beginner
Location: src/dm/da/src/dalocal.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex20.c.html
src/snes/examples/tutorials/ex23.c.html
src/snes/examples/tutorials/ex24.c.html
src/snes/examples/tutorials/ex25.c.html
src/snes/examples/tutorials/ex26.c.html
src/snes/examples/tutorials/ex29.c.html
src/snes/examples/tutorials/ex5f.F.html